

#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3

#**************************************************************
# Create Clock
#**************************************************************
create_clock -period 100MHz 			-name reconfig_clk [get_ports {reconfig_clk[0]}]

# E-Tile Left Bank 8B
create_clock -period 156.25MHz		-name REF156M_L8B0 [get_ports {REFCLK_L8B0}]
create_clock -period 307.2MHz			-name REF307M_L8B1 [get_ports {REFCLK_L8B1}]

# E-Tile Left Bank 8C
create_clock -period 156.25MHz		-name REF156M_L8C1 [get_ports {REFCLK_L8C1}]
create_clock -period 176.5625MHz		-name REF176M_L8C4 [get_ports {REFCLK_L8C4}]

# E-Tile Right Bank 9A
create_clock -period 176.5625MHz		-name REF176M_R9A0 [get_ports {REFCLK_R9A0}]
create_clock -period 156.25MHz		-name REF156M_R9A1 [get_ports {REFCLK_R9A1}]

# E-Tile Right Bank 9B
create_clock -period 156.25MHz		-name REF156M_R9B0 [get_ports {REFCLK_R9B0}]
create_clock -period 322.265625MHz	-name REF322M_R9B1 [get_ports {REFCLK_R9B1}]

# E-Tile Right Bank 9B
create_clock -period 322.265625MHz	-name REF322M_R9C0 [get_ports {REFCLK_R9C0}]
create_clock -period 156.25MHz		-name REF156M_R9B1 [get_ports {REFCLK_R9B1}]


## Banks 1C/1D/1E/1F - not implemented
#create_clock -period 644.53125MHz -name REF644M_L1CT [get_ports {REFCLK_L1CT}]
#create_clock -period 644.53125MHz -name REF644M_L1DT [get_ports {REFCLK_L1DT}]
#create_clock -period 644.53125MHz -name REF644M_L1DB [get_ports {REFCLK_L1DB}]
#create_clock -period 614.40000MHz -name REF614M_L1ET [get_ports {REFCLK_L1ET}]
#create_clock -period 614.40000MHz -name REF614M_L1EB [get_ports {REFCLK_L1EB}]
#create_clock -period 625.00000MHz -name REF625M_L1FT [get_ports {REFCLK_L1FT}]

#**************************************************************
# Create Generated Clock
#**************************************************************
derive_pll_clocks
derive_clock_uncertainty


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************



#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Load
#**************************************************************

